# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Functions

* [`simp_banners::fetch`](#simp_banners--fetch): Retrieve a banner from the known list and format it according to the passed options

## Functions

### <a name="simp_banners--fetch"></a>`simp_banners::fetch`

Type: Ruby 4.x API

Retrieve a banner from the known list and format it according to the passed
options

#### `simp_banners::fetch(String[1] $name, Optional[Struct[{
        "cr_escape"   => Optional[Boolean],
        "file_source" => Optional[Boolean]
      }]] $format)`

Retrieve a banner from the known list and format it according to the passed
options

Returns: `String` The banner formatted according to the `format` options

Raises:

* `An` error containing a list of supported banners will be raised if the requested banner cannot be found

##### `name`

Data type: `String[1]`

The banner to fetch

* This may need to include the relative path to the file. For example,
  the US Department of Commerce banner would be named
  'us/department_of_commerce'

##### `format`

Data type:

```puppet
Optional[Struct[{
        "cr_escape"   => Optional[Boolean],
        "file_source" => Optional[Boolean]
      }]]
```

Formatting options

Options:

* **'file_source'** `Boolean`: Return a String suitable for a File `source` option

* Takes precedence over all other formatting options if set

